<?php

function wt_admin_enqueue_scripts( $hook_suffix ) {
	wp_enqueue_style('thickbox');
	wp_enqueue_style( 'wt_theme_options', get_template_directory_uri() . '/framework/settings/css/theme-options.css', false, '1.0' );
	wp_enqueue_script( 'wt_theme_options', get_template_directory_uri() . '/framework/settings/js/theme-options.js', array( 'jquery' ), '1.0' );
	wp_enqueue_script( 'wt_colorpicker', get_template_directory_uri() . '/framework/settings/js/colorpicker.js', array( 'jquery' ), '1.0' );
	wp_enqueue_script('thickbox');
	wp_enqueue_script('media-upload');
	wp_enqueue_script('wt_upload', get_template_directory_uri() .'/framework/settings/js/upload.js', array('jquery','media-upload','thickbox'));
}
add_action( 'admin_print_styles-appearance_page_wt-options', 'wt_admin_enqueue_scripts' );

global $pagenow;



if( ( 'themes.php' == $pagenow ) && ( isset( $_GET['activated'] ) && ( $_GET['activated'] == 'true' ) ) ) :
	/**
	* Set default options on activation
	*/
	function wt_init_options() {
		$options = get_option( 'wt_options' );
		if ( false === $options ) {
			$options = wt_default_options();  
		}
		update_option( 'wt_options', $options );
	}
	add_action( 'after_setup_theme', 'wt_init_options', 9 );
endif;

/**
 * Register the theme options setting
 */
function wt_register_settings() {
	register_setting( 'wt_options', 'wt_options', 'wt_validate_options' );	
}
add_action( 'admin_init', 'wt_register_settings' );

/**
 * Register the options page
 */
function wt_theme_add_page() {
	add_theme_page( 'تنظیمات پوسته','تنظیمات پوسته ', 'edit_theme_options', 'wt-options', 'wt_theme_options_page' );
}
add_action( 'admin_menu', 'wt_theme_add_page');


 /**
* Set default variables
*/


/**
 * Output the options page
 */
function wt_theme_options_page() { 
?>
	<div id="wt-admin"> 		
			<div class="header">	
				<div class="main">
					<div class="left">
						<h2>تنظیمات پوسته </h2>
					</div>	
				
					<div class="theme-info">		
						<h3>میهن نیوز</h3>			

					</div>
				</div>
				<!-- <div class="subheader">
					
				</div> -->
			
			</div><!-- /header -->			
			
		<div class="options-wrap">
			
			<div class="tabs">
				<ul>
					<li class="general first"><a href="#tab1">عمومی</a></li>
					<li class="home"><a href="#tab2">صفحه نخست</a></li>
					<li class="posts"><a href="#tab3">آرشیو</a></li>
					<li class="typography"><a href="#tab5">قلم</a></li>
					<li class="seo"><a href="#tab6">سئو</li>
					<li class="footer"><a href="#tab7">هدر  و فوتر</a></li>
					<li class="reset"><a href="#tab8">ریست</a></li>
				</ul>                           
			</div><!-- /subheader -->
					
			<div class="options-form">			
									
					<?php if ( isset( $_GET['settings-updated'] ) ) : ?>
						<div class="updated fade"><p>تنظیمات پوسته</p></div>
					<?php endif; ?>
				
					<form action="options.php" method="post">
						
						<?php settings_fields( 'wt_options' ); ?>
						<?php $options = get_option('wt_options'); ?>		
			
						<div class="tab_content">
							<div id="tab1" class="tab_block">
								<h2>عمومی</h2>
								
								<div class="fields_wrap">
								
									<div class="field infobox">
										<p><strong>این قالب توسط کلکسیون قالب وردپرس فارسی www.wp-qaleb.ir ویرایش و توسعه داده شده است و هرگونه استفاده بدون مجوز و،حذف کپی رایت و یا استفاده در دامنه ای به جز دامنه فعلی سایت شما از لحاظ قانونی و شرعی مجاز نمی باشد و قابل پیگرد قانونی می باشد.</strong></p>
									</div>
									
									<h3>هدر</h3>								
																											
									<div class="field">
										<label for="wt_logo_url">لوگو</label>
										<input id="wt_options[wt_logo_url]" class="upload_image" type="text" name="wt_options[wt_logo_url]" value="<?php echo esc_attr($options['wt_logo_url']); ?>" />
                                        
										<input class="upload_image_button" id="wt_logo_upload_button" type="button" value="Upload" />
										<span class="description long updesc">390x55</span> 
									</div>	
									
									<div class="field">
										<label for="wt_favicon">فاوآیکن</label>
										<input id="wt_options[wt_favicon]" class="upload_image" type="text" name="wt_options[wt_favicon]" value="<?php echo esc_attr($options['wt_favicon']); ?>" />
                                        <input class="upload_image_button" id="wt_favicon_button" type="button" value="Upload" />
										<span class="description updesc long">16x16</span> 
									</div>	
									
									<div class="field">
										<label for="wt_apple_touch">تاچ</label>
										<input id="wt_options[wt_apple_touch]" class="upload_image" type="text" name="wt_options[wt_apple_touch]" value="<?php echo esc_attr($options['wt_apple_touch']); ?>" />
                                        <input class="upload_image_button" id="wt_apple_touch_button" type="button" value="Upload" />
										<span class="description updesc">114x114</span> 
									</div>	
									
									<div class="field">
										<label for="wt_options[wt_rss_url]">خوراک</label>
										<input id="wt_options[wt_rss_url]" name="wt_options[wt_rss_url]" type="text" value="<?php echo esc_attr($options['wt_rss_url']); ?>" />
										<span class="description long">آدرس خوراک خود را وارد کنید.</span>
									</div>
						
									<h3>شبکه های اجتماعی</h3>
									
									<div class="field">
										<label for="wt_options[wt_twitter_url]">تویتر</label>
										<input id="wt_options[wt_twitter_url]" name="wt_options[wt_twitter_url]" type="text" value="<?php echo esc_attr($options['wt_twitter_url']); ?>" />
										<span class="description">لینک تویتر خود را وارد کنید</span>
									</div>
									
									<div class="field">
										<label for="wt_options[wt_fb_url]">فیسبوک</label>
										<input id="wt_options[wt_fb_url]" name="wt_options[wt_fb_url]" type="text" value="<?php echo esc_attr($options['wt_fb_url']); ?>" />
										<span class="description">لینک فیسبوک خود را وارد کنید.</span>
									</div>
									
									<div class="field">
										<label for="wt_options[wt_gplus_url]">گوگل پلاس</label>
										<input id="wt_options[wt_gplus_url]" name="wt_options[wt_gplus_url]" type="text" value="<?php echo esc_attr($options['wt_gplus_url']); ?>" />
										<span class="description">لینک گوگل پلاس خود را وارد کنید.</span>
									</div>			
								</div> <!-- /fields-wrap -->								
								
							</div><!-- /tab_block -->
							
							<div id="tab2" class="tab_block">
								<h2>تنظیمات صفحه نخست</h2>
																						
								<div class="fields_wrap">
									
									<div class="field infobox">
										<p><strong>این قالب توسط کلکسیون قالب وردپرس فارسی www.wp-qaleb.ir ویرایش و توسعه داده شده است و هرگونه استفاده بدون مجوز و،حذف کپی رایت و یا استفاده در دامنه ای به جز دامنه فعلی سایت شما از لحاظ قانونی و شرعی مجاز نمی باشد و قابل پیگرد قانونی می باشد.</strong></p>
									</div>
									
									<h3>یادداشت و مقالات</h3>
									
									<div class="field">
														
										<label for="wt_options[wt_top_posts_cat]">انتخاب دسته</label>
										<?php 
											$categories = get_categories( array( 'hide_empty' => 1, 'hierarchical' => 0 ) );  ?>
											<div class="select-wrap wide">
												<select id="wt_top_posts_cat" name="wt_options[wt_top_posts_cat]">
													<option <?php selected( 0 == $options['wt_top_posts_cat'] ); ?> value="0">--هیچکدام--</option>
													<?php foreach( $categories as $category ) : ?>
														<option <?php selected( $category->term_id == $options['wt_top_posts_cat'] ); ?> value="<?php echo $category->term_id; ?>"><?php echo $category->cat_name; ?></option>
													<?php endforeach; ?>
												</select>
											</div>											
										<span class="description slcdesc long">در صورتی که دسته ای انتخاب نشود، آخرین مطالب را نمایش می دهد.</span>			
									</div>								
									
									<h3>تنظیمات اسلایدر</h3>
									
									<div class="field">
										<label for="wt_options[wt_show_slider]">فعال کردن</label>
										<input id="wt_options[wt_show_slider]" name="wt_options[wt_show_slider]" type="checkbox" value="1" <?php isset($options['wt_show_slider']) ? checked( '1', $options['wt_show_slider'] ) : checked('0', '1'); ?> />							
										<span class="description chkdesc">این بخش در صفحه نخست قرار دارد.</span>
									</div>
									
									<div class="field">														
										<label for="wt_options[wt_slider_category]">انتخاب دسته</label>
										<?php 
											$categories = get_categories( array( 'hide_empty' => 1, 'hierarchical' => 0 ) );  ?>
											<div class="select-wrap wide">
												<select id="wt_slider_category" name="wt_options[wt_slider_category]">
													<option <?php selected( 0 == $options['wt_slider_category'] ); ?> value="0">--هیچکدام--</option>
														<?php foreach( $categories as $category ) : ?>
															<option <?php selected( $category->term_id == $options['wt_slider_category'] ); ?> value="<?php echo $category->term_id; ?>"><?php echo $category->cat_name; ?></option>
														<?php endforeach; ?>
												</select>
											 </div>	
										<span class="description slcdesc long">در صورتی که دسته ای انتخاب نشود، آخرین مطالب را نمایش می دهد.</span>				
									</div>
																			
									
								</div> <!-- /fields-wrap -->								
								
							</div><!-- /tab_block -->
							
							<div id="tab3" class="tab_block">		
								<h2>تنظیمات نوشته ها و آرشیو</h2>	
								
								<div class="fields_wrap">
								
									<div class="field infobox">
										<p><strong>این قالب توسط کلکسیون قالب وردپرس فارسی www.wp-qaleb.ir ویرایش و توسعه داده شده است و هرگونه استفاده بدون مجوز و،حذف کپی رایت و یا استفاده در دامنه ای به جز دامنه فعلی سایت شما از لحاظ قانونی و شرعی مجاز نمی باشد و قابل پیگرد قانونی می باشد.</strong></p>
									</div>
									
								<h3>تنظیمات نوشته</h3>
									
									<div class="field">
										<label for="wt_options[wt_show_post_nav]">نوشته قبلی و بعدی</label>
										<input id="wt_options[wt_show_post_nav]" name="wt_options[wt_show_post_nav]" type="checkbox" value="1" <?php isset($options['wt_show_post_nav']) ? checked( '1', $options['wt_show_post_nav'] ) : checked('0', '1'); ?> />
										<span class="description chkdesc"></span>					
									</div>
									
									<div class="field">
										<label for="wt_options[wt_show_author_info]">نویسنده مطلب</label>
										<input id="wt_options[wt_show_author_info]" name="wt_options[wt_show_author_info]" type="checkbox" value="1" <?php isset($options['wt_show_author_info']) ? checked( '1', $options['wt_show_author_info'] ) : checked('0', '1'); ?> />
										<span class="description chkdesc"></span>					
									</div>
									
									<div class="field">
										<label for="wt_options[wt_show_related_posts]">موضوعات مشابه</label>
										<input id="wt_options[wt_show_related_posts]" name="wt_options[wt_show_related_posts]" type="checkbox" value="1" <?php isset($options['wt_show_related_posts']) ? checked( '1', $options['wt_show_related_posts'] ) : checked('0', '1'); ?> />
										<span class="description chkdesc">></span>					
									</div>	
									<h3>برگه نوشته</h3>
									
									<div class="field">
										<label for="wt_options[wt_show_page_author_info]">نویسنده مطالب</label>
										<input id="wt_options[wt_show_page_author_info]" name="wt_options[wt_show_page_author_info]" type="checkbox" value="1" <?php isset($options['wt_show_page_author_info']) ? checked( '1', $options['wt_show_page_author_info'] ) : checked('0', '1'); ?> />
										<span class="description chkdesc"></span>					
									</div>
									
									<div class="field">
										<label for="wt_options[wt_show_page_meta]">متای نوشته</label>
										<input id="wt_options[wt_show_page_meta]" name="wt_options[wt_show_page_meta]" type="checkbox" value="1" <?php isset($options['wt_show_page_meta']) ? checked( '1', $options['wt_show_page_meta'] ) : checked('0', '1'); ?> />
										<span class="description chkdesc"></span>					
									</div>
									
									<div class="field">
										<label for="wt_options[wt_show_page_comments]">دیدگاهها</label>
										<input id="wt_options[wt_show_page_comments]" name="wt_options[wt_show_page_comments]" type="checkbox" value="1" <?php isset($options['wt_show_page_comments']) ? checked( '1', $options['wt_show_page_comments'] ) : checked('0', '1'); ?> />
										<span class="description chkdesc"></span>					
									</div>

									
									<h3>آرشیو</h3>
									
									<div class="field">
										<label for="wt_options[wt_show_archive_cat_info]">دسته</label>
										<input id="wt_options[wt_show_archive_cat_info]" name="wt_options[wt_show_archive_cat_info]" type="checkbox" value="1" <?php isset($options['wt_show_archive_cat_info']) ? checked( '1', $options['wt_show_archive_cat_info'] ) : checked('0', '1'); ?> />
										<span class="description chkdesc"></span>					
									</div>
									
									<div class="field">
										<label for="wt_options[wt_show_archive_tag_info]">برچسسب</label>
										<input id="wt_options[wt_show_archive_tag_info]" name="wt_options[wt_show_archive_tag_info]" type="checkbox" value="1" <?php isset($options['wt_show_archive_tag_info']) ? checked( '1', $options['wt_show_archive_tag_info'] ) : checked('0', '1'); ?> />
										<span class="description chkdesc"></span>					
									</div>
									
									<div class="field">
										<label for="wt_options[wt_show_archive_author_info]">نویسنده</label>
										<input id="wt_options[wt_show_archive_author_info]" name="wt_options[wt_show_archive_author_info]" type="checkbox" value="1" <?php isset($options['wt_show_archive_author_info']) ? checked( '1', $options['wt_show_archive_author_info'] ) : checked('0', '1'); ?> />
										<span class="description chkdesc"></span>					
									</div>
									
								</div> <!-- /fields-wrap -->
																
							</div><!-- /tab_block -->
							
							
							
							<div id="tab5" class="tab_block">
								<h2>تایپو گرافی</h2>
									
									<div class="fields_wrap">	
									
																	<div class="field infobox">
										<p><strong>این قالب توسط کلکسیون قالب وردپرس فارسی www.wp-qaleb.ir ویرایش و توسعه داده شده است و هرگونه استفاده بدون مجوز و،حذف کپی رایت و یا استفاده در دامنه ای به جز دامنه فعلی سایت شما از لحاظ قانونی و شرعی مجاز نمی باشد و قابل پیگرد قانونی می باشد.</strong></p>
									</div>
										<h3>رنگ قلم</h3>
																				
										<div class="field">
											<label>رنگ متن ها</label>
											<div id="wt_text_color_selector" class="color-pic"><div style="background-color:<?php echo $options['wt_text_color'] ; ?>"></div></div>
											<input style="width:80px; margin-right:5px;"  name="wt_options[wt_text_color]" id="wt_text_color" type="text" value="<?php echo $options['wt_text_color'] ; ?>" />
											<span class="description chkdesc"></span>
										</div>									
										
										<div class="field">
											<label>رنگ لینکها در حالت عادی</label>
											<div id="wt_links_color_selector" class="color-pic"><div style="background-color:<?php echo $options['wt_links_color'] ; ?>"></div></div>
											<input style="width:80px; margin-right:5px;"  name="wt_options[wt_links_color]" id="wt_links_color" type="text" value="<?php echo $options['wt_links_color'] ; ?>" />
											<span class="description chkdesc"></span>
										</div>
										
										<div class="field">
											<label>رنگ لینکها در حالت شناور</label>
											<div id="wt_links_hover_color_selector" class="color-pic"><div style="background-color:<?php echo $options['wt_links_hover_color'] ; ?>"></div></div>
											<input style="width:80px; margin-right:5px;"  name="wt_options[wt_links_hover_color]" id="wt_links_hover_color" type="text" value="<?php echo $options['wt_links_hover_color'] ; ?>" />
											<span class="description chkdesc"></span>
										</div>
										
									</div><!-- /fields_wrap -->	
																	
							</div><!-- /tab_block -->								
							
							<div id="tab6" class="tab_block">
								<h2>سئو</h2>
									
									<div class="fields_wrap">
									
									<div class="field infobox">
										<p><strong>این قالب توسط کلکسیون قالب وردپرس فارسی www.wp-qaleb.ir ویرایش و توسعه داده شده است و هرگونه استفاده بدون مجوز و،حذف کپی رایت و یا استفاده در دامنه ای به جز دامنه فعلی سایت شما از لحاظ قانونی و شرعی مجاز نمی باشد و قابل پیگرد قانونی می باشد.</strong></p>
									</div>
										
									<h3>تنظیمات عادی</h3>
									
									<div class="field">
										<label for="wt_options[wt_meta_keywords]">کلید واژه ها</label>
										<textarea id="wt_options[wt_meta_keywords]" class="textarea"  name="wt_options[wt_meta_keywords]"><?php echo esc_attr($options['wt_meta_keywords']); ?></textarea>
										<span class="description">کلید واژه هایی که بیشترین کاربرد را در سایت شما دارند با در اینجا بنویسید.</span>					
									</div>
									
									<div class="field">
										<label for="wt_options[wt_meta_description]">توضیحات</label>
										<textarea id="wt_options[wt_meta_description]" class="textarea" name="wt_options[wt_meta_description]"><?php echo esc_attr($options['wt_meta_description']); ?></textarea>
										<span class="description">یک توضیح مختصر در مورد سایت بنویسید.</span>					
									</div>
									
									<h3>تاییدیه ها</h3>
									
									<div class="field">
										<label for="wt_options[wt_google_verification]">تاییدیه گوگل آنالیز</label>
										<input id="wt_options[wt_google_verification]" type="text" name="wt_options[wt_google_verification]" value="<?php echo esc_attr($options['wt_google_verification']); ?>" />
										<span class="description"></span>
									</div>
									</div> <!-- /fields-wrap -->
									
							</div>	<!-- /tab_block -->	
							
							<div id="tab7" class="tab_block">
								<h2>هدر و فوتر</h2>
									<div class="fields_wrap">
									
									<div class="field infobox">
										<p><strong>این قالب توسط کلکسیون قالب وردپرس فارسی www.wp-qaleb.ir ویرایش و توسعه داده شده است و هرگونه استفاده بدون مجوز و،حذف کپی رایت و یا استفاده در دامنه ای به جز دامنه فعلی سایت شما از لحاظ قانونی و شرعی مجاز نمی باشد و قابل پیگرد قانونی می باشد.</strong></p>
									</div>
									
									<h3>تنظیمات هدر</h3>
																	
									<div class="field">
										<label for="wt_options[wt_header_code]">کدهای هدر</label>
										<textarea id="wt_options[wt_header_code]" class="textarea" name="wt_options[wt_header_code]"><?php echo esc_attr($options['wt_header_code']); ?></textarea>
										<span class="description">کد گوگل آنالیز خود را می توانید در این بخش قرار دهید.</span>		
									</div>
									
							
																	
									<div class="field">
										<label for="wt_options[wt_footer_code]">کدهای فوتر</label>
										<textarea id="wt_options[wt_footer_code]" class="textarea" name="wt_options[wt_footer_code]"><?php echo esc_attr($options['wt_footer_code']); ?></textarea>
										<span class="description">کد گوگل آنالیز خود را می توانید در این بخش قرار دهید.</span>
									</div>
									
									</div> <!-- /fields-wrap -->
									
									
							</div>	<!-- /tab_block -->	
							
							<div id="tab8" class="tab_block">
								<h2>بازگشت به تنظیمات پیش فرض</h2>
									<div class="fields_wrap">
										<div class="field warningbox">
											<p><strong>مطمئن هستید؟</strong></p>
										</div>
													
										<div class="field">
											<p class="reset-info"> کلیک کنید. </p>
											<input type="submit" name="wt_options[reset]" class="button-primary" value="بازگشت به تنظیمات پیش فرض پوسته" />
										</div>
									</div>	<!-- /fields_wrap -->	
							</div>	<!-- /tab_block -->	
					
						</div> <!-- /option_blocks -->			
						
					
		
			</div> <!-- /options-form -->
		</div> <!-- /options-wrap -->
		<div class="options-footer">
			<input type="submit" name="wt_options[submit]" class="button-primary" value="ذخیره تنظیمات" />
		</div>
		</form>
	</div> <!-- /wt-admin -->
	<?php
}

/**
 * Return default array of options
 */
function wt_default_options() {
	$options = array(
		'wt_logo_url' => get_template_directory_uri().'/images/logo.png',	
		'wt_favicon' => '',
		'wt_apple_touch' => '',
		'wt_rss_url' => '',
		'wt_twitter_url' => '',
		'wt_fb_url' => '',
		'wt_gplus_url' => '',
		'wt_contact_address' => '',
		'wt_contact_email' => '',	
		'wt_contact_subject' => '',	
		'wt_show_top_posts' => 1,			
		'wt_top_posts_cat' => 0,
		'wt_show_slider' => 1,		
		'wt_slider_category' => 0,
		'wt_show_feat_posts' => 1,	
		'wt_show_feat_textposts' => 1,		
		'wt_feat_posts_cat' => 0,
		'wt_feat_textposts_cat' => 0,		
		'wt_feat_cat1' => 0,
		'wt_feat_cat2' => 0,
		'wt_feat_cat3' => 0,
		'wt_feat_cat4' => 0,
		'wt_feat_cat5' => 0,
		'wt_show_author_info' => 1,
		'wt_show_related_posts' => 1,		
		'wt_show_post_nav' => 1,	
		'wt_show_post_social' => 1,	
		'wt_show_page_author_info' => 0,		
		'wt_show_page_meta' => 0,	
		'wt_show_page_comments' => 1,
		'wt_show_page_social' => 1,
		'wt_show_img_meta' => 1,
		'wt_show_img_comments' => 1,
		'wt_show_img_social' => 1,
		'wt_show_archive_cat_info' => 1,
		'wt_show_archive_tag_info' => 1,
		'wt_show_archive_author_info' => 1,
		'wt_primary_color' => '',	
		'wt_color1' => '',		
		'wt_color2' => '',	
		'wt_color3' => '',	
		'wt_color4' => '',	
		'wt_color5' => '',	
		'wt_h1_fontsize' => '',
		'wt_h2_fontsize' => '',
		'wt_h3_fontsize' => '',	
		'wt_h4_fontsize' => '',	
		'wt_h5_fontsize' => '',	
		'wt_h6_fontsize' => '',	
		'wt_text_fontsize' => '',	
		'wt_h1_fontstyle' => '',
		'wt_h2_fontstyle' => '',
		'wt_h3_fontstyle' => '',
		'wt_h4_fontstyle' => '',
		'wt_h5_fontstyle' => '',
		'wt_h6_fontstyle' => '',	
		'wt_text_fontstyle' => '',
		'wt_h1_lineheight' => '',
		'wt_h2_lineheight' => '',
		'wt_h3_lineheight' => '',
		'wt_h4_lineheight' => '',
		'wt_h5_lineheight' => '',
		'wt_h6_lineheight' => '',
		'wt_text_lineheight' => '',
		'wt_h1_marginbottom' => '',	
		'wt_h2_marginbottom' => '',	
		'wt_h3_marginbottom' => '',	
		'wt_h4_marginbottom' => '',	
		'wt_h5_marginbottom' => '',	
		'wt_h6_marginbottom' => '',	
		'wt_text_font_name' => '',
		'wt_headings_font_name' => '',
		'wt_text_color' => '',
		'wt_links_color' => '',
		'wt_links_hover_color' => '',		
		'wt_custom_css' => '',
		'wt_meta_keywords' => '',
		'wt_meta_description' => '',
		'wt_google_verification' => '',
		'wt_bing_verification' => '',	
		'wt_header_code' => '',
		'wt_footer_text_left' => '&copy;'. date('Y') . ' '. get_bloginfo('name').' ویرایش و توسعه : <a href="http://www.20script.ir/">بیست اسکریپت</a>',
		'wt_footer_code' => ''		
	);
	return $options;
}

/**
 * Sanitize and validate options
 */
function wt_validate_options( $input ) {
	$submit = ( ! empty( $input['submit'] ) ? true : false );
	$reset = ( ! empty( $input['reset'] ) ? true : false );
	if( $submit ) :	
		
		$input['wt_logo_url'] = esc_url_raw($input['wt_logo_url']);
		$input['wt_favicon'] = esc_url_raw($input['wt_favicon']);
		$input['wt_apple_touch'] = esc_url_raw($input['wt_apple_touch']);		
		$input['wt_rss_url'] = esc_url_raw($input['wt_rss_url']);
		$input['wt_twitter_url'] = esc_url_raw($input['wt_twitter_url']);
		$input['wt_fb_url'] = esc_url_raw($input['wt_fb_url']);
		$input['wt_gplus_url'] = esc_url_raw($input['wt_gplus_url']);		
		$input['wt_contact_address'] = wp_kses_stripslashes($input['wt_contact_address']);
		$input['wt_contact_email'] = wp_filter_nohtml_kses($input['wt_contact_email']);
		$input['wt_contact_subject'] = wp_kses_stripslashes($input['wt_contact_subject']);		
		$input['wt_text_color'] = wp_filter_nohtml_kses($input['wt_text_color']);
		$input['wt_links_hover_color'] = wp_filter_nohtml_kses($input['wt_links_hover_color']);
		$input['wt_primary_color'] = wp_filter_nohtml_kses($input['wt_primary_color']);	
		$input['wt_color1'] = wp_filter_nohtml_kses($input['wt_color1']);	
		$input['wt_color2'] = wp_filter_nohtml_kses($input['wt_color2']);
		$input['wt_color3'] = wp_filter_nohtml_kses($input['wt_color3']);
		$input['wt_color4'] = wp_filter_nohtml_kses($input['wt_color4']);
		$input['wt_color5'] = wp_filter_nohtml_kses($input['wt_color5']);
		$input['wt_custom_css'] = wp_kses_stripslashes($input['wt_custom_css']);
		$input['wt_meta_keywords'] = wp_filter_post_kses($input['wt_meta_keywords']);
		$input['wt_meta_description'] = wp_filter_post_kses($input['wt_meta_description']);
		$input['wt_google_verification'] = wp_filter_post_kses($input['wt_google_verification']);
		$input['wt_bing_verification'] = wp_filter_post_kses($input['wt_bing_verification']);
		$input['wt_header_code'] = wp_kses_stripslashes($input['wt_header_code']);
		$input['wt_footer_text_left'] = wp_kses_stripslashes($input['wt_footer_text_left']);
		$input['wt_footer_code'] = wp_kses_stripslashes($input['wt_footer_code']);		
		
		if ( ! isset( $input['wt_show_slider'] ) )
			$input['wt_show_slider'] = null;
		$input['wt_show_slider'] = ( $input['wt_show_slider'] == 1 ? 1 : 0 );
				
		if ( ! isset( $input['wt_show_top_posts'] ) )
			$input['wt_show_top_posts'] = null;
		$input['wt_show_top_posts'] = ( $input['wt_show_top_posts'] == 1 ? 1 : 0 );
		
		if ( ! isset( $input['wt_show_feat_textposts'] ) )
			$input['wt_show_feat_textposts'] = null;
		$input['wt_show_feat_textposts'] = ( $input['wt_show_feat_textposts'] == 1 ? 1 : 0 );
		
		if ( ! isset( $input['wt_show_feat_posts'] ) )
			$input['wt_show_feat_posts'] = null;
		$input['wt_show_feat_posts'] = ( $input['wt_show_feat_posts'] == 1 ? 1 : 0 );					
			
		if ( ! isset( $input['wt_show_author_info'] ) )
			$input['wt_show_author_info'] = null;
		$input['wt_show_author_info'] = ( $input['wt_show_author_info'] == 1 ? 1 : 0 );	
		
		if ( ! isset( $input['wt_show_related_posts'] ) )
			$input['wt_show_related_posts'] = null;
		$input['wt_show_related_posts'] = ( $input['wt_show_related_posts'] == 1 ? 1 : 0 );	
		
		if ( ! isset( $input['wt_show_post_nav'] ) )
			$input['wt_show_post_nav'] = null;
		$input['wt_show_post_nav'] = ( $input['wt_show_post_nav'] == 1 ? 1 : 0 );	
		
		if ( ! isset( $input['wt_show_post_social'] ) )
			$input['wt_show_post_social'] = null;
		$input['wt_show_post_social'] = ( $input['wt_show_post_social'] == 1 ? 1 : 0 );			
		
		if ( ! isset( $input['wt_show_page_author_info'] ) )
			$input['wt_show_page_author_info'] = null;
		$input['wt_show_page_author_info'] = ( $input['wt_show_page_author_info'] == 1 ? 1 : 0 );	
				
		if ( ! isset( $input['wt_show_page_meta'] ) )
			$input['wt_show_page_meta'] = null;
		$input['wt_show_page_meta'] = ( $input['wt_show_page_meta'] == 1 ? 1 : 0 );	
		
		if ( ! isset( $input['wt_show_page_comments'] ) )
			$input['wt_show_page_comments'] = null;
		$input['wt_show_page_comments'] = ( $input['wt_show_page_comments'] == 1 ? 1 : 0 );	
		
		if ( ! isset( $input['wt_show_page_social'] ) )
			$input['wt_show_page_social'] = null;
		$input['wt_show_page_social'] = ( $input['wt_show_page_social'] == 1 ? 1 : 0 );	
		
		if ( ! isset( $input['wt_show_img_meta'] ) )
			$input['wt_show_img_meta'] = null;
		$input['wt_show_img_meta'] = ( $input['wt_show_img_meta'] == 1 ? 1 : 0 );	
		
		if ( ! isset( $input['wt_show_img_comments'] ) )
			$input['wt_show_img_comments'] = null;
		$input['wt_show_img_comments'] = ( $input['wt_show_img_comments'] == 1 ? 1 : 0 );	
		
		if ( ! isset( $input['wt_show_img_social'] ) )
			$input['wt_show_img_social'] = null;
		$input['wt_show_img_social'] = ( $input['wt_show_img_social'] == 1 ? 1 : 0 );	
		
		if ( ! isset( $input['wt_show_archive_cat_info'] ) )
			$input['wt_show_archive_cat_info'] = null;
		$input['wt_show_archive_cat_info'] = ( $input['wt_show_archive_cat_info'] == 1 ? 1 : 0 );	
		
		if ( ! isset( $input['wt_show_archive_tag_info'] ) )
			$input['wt_show_archive_tag_info'] = null;
		$input['wt_show_archive_tag_info'] = ( $input['wt_show_archive_tag_info'] == 1 ? 1 : 0 );
		
		if ( ! isset( $input['wt_show_archive_author_info'] ) )
			$input['wt_show_archive_author_info'] = null;
		$input['wt_show_archive_author_info'] = ( $input['wt_show_archive_author_info'] == 1 ? 1 : 0 );		
		
		$categories = get_categories( array( 'hide_empty' => 0, 'hierarchical' => 0 ) );
		$cat_ids = array();
		foreach( $categories as $category )
			$cat_ids[] = $category->term_id;
						
		if( !in_array( $input['wt_top_posts_cat'], $cat_ids ) && ( $input['wt_top_posts_cat'] != 0 ) )
			$input['wt_top_posts_cat'] = $options['wt_top_posts_cat'];
			
		if( !in_array( $input['wt_slider_category'], $cat_ids ) && ( $input['wt_slider_category'] != 0 ) )
			$input['wt_slider_category'] = $options['wt_slider_category'];
				
		if( !in_array( $input['wt_feat_textposts_cat'], $cat_ids ) && ( $input['wt_feat_textposts_cat'] != 0 ) )
			$input['wt_feat_textposts_cat'] = $options['wt_feat_textposts_cat'];
			
		if( !in_array( $input['wt_feat_posts_cat'], $cat_ids ) && ( $input['wt_feat_posts_cat'] != 0 ) )
			$input['wt_feat_posts_cat'] = $options['wt_feat_posts_cat'];
					
		if( !in_array( $input['wt_feat_cat1'], $cat_ids ) && ( $input['wt_feat_cat1'] != 0 ) )
			$input['wt_feat_cat1'] = $options['wt_feat_cat1'];
			
		if( !in_array( $input['wt_feat_cat2'], $cat_ids ) && ( $input['wt_feat_cat2'] != 0 ) )
			$input['wt_feat_cat2'] = $options['wt_feat_cat2'];
		
		if( !in_array( $input['wt_feat_cat3'], $cat_ids ) && ( $input['wt_feat_cat3'] != 0 ) )
			$input['wt_feat_cat3'] = $options['wt_feat_cat3'];
			
		if( !in_array( $input['wt_feat_cat4'], $cat_ids ) && ( $input['wt_feat_cat4'] != 0 ) )
			$input['wt_feat_cat4'] = $options['wt_feat_cat4'];
			
		if( !in_array( $input['wt_feat_cat5'], $cat_ids ) && ( $input['wt_feat_cat5'] != 0 ) )
			$input['wt_feat_cat5'] = $options['wt_feat_cat5'];
				
					
		return $input;
		
	elseif( $reset ) :
		$input = wt_default_options();
		return $input;
		
	endif;
}

if ( ! function_exists( 'wt_get_option' ) ) :
/**
 * Used to output theme options is an elegant way
 * @uses get_option() To retrieve the options array
 */
function wt_get_option( $option ) {
	$options = get_option( 'wt_options', wt_default_options() );
	return $options[ $option ];
}
endif;