<?php
add_action( 'widgets_init', 'wellthemes_recent_comments_widgets' );

function wellthemes_recent_comments_widgets() {
	register_widget( 'wellthemes_recent_comments_widget' );
}

class wellthemes_recent_comments_widget extends WP_Widget {

	/**
	 * Widget setup.
	 */
	function wellthemes_recent_comments_widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'widget_comments', 'description' => 'نمایش دیدگاهها با آواتار', );

		/* Create the widget. */
		$this->WP_Widget( 'wellthemes_recent_comments_widget', 'دیدگاههای تازه با آواتار', $widget_ops);
	}

	function widget( $args, $instance ) {
		
		extract( $args );
	    $title = apply_filters('widget_title', $instance['title'] );
		echo $before_widget;
		if ( $title )
		echo $before_title . $title . $after_title;
  
       ?>
       <?php
	   $entries_display = $instance['entries_display']; ?>
	    <ul>
            <?php //get recent comments
                $args = array(
                       'status' => 'approve',
                        'number' => $entries_display
					);	
				
				$postcount=0;
                $comments = get_comments($args);
				
                foreach($comments as $comment) :
						$postcount++;								
                        $commentcontent = strip_tags($comment->comment_content);			
                        if (strlen($commentcontent)> 50) {
                            $commentcontent = mb_substr($commentcontent, 0, 49) . "...";
                        }
                        $commentauthor = $comment->comment_author;
                        if (strlen($commentauthor)> 30) {
                            $commentauthor = mb_substr($commentauthor, 0, 29) . "...";			
                        }
                        $commentid = $comment->comment_ID;
                        $commenturl = get_comment_link($commentid); ?>
                       <li>
							<?php echo get_avatar( $comment, '65' ); ?>
							<div class="comment">
								<div class="comment-author"><h4><?php echo $commentauthor; ?></h4></div>
								<div class="comment-text">
									<a<?php if($postcount==1) { ?> class="first"<?php } ?> href="<?php echo $commenturl; ?>"><?php echo $commentcontent; ?></a>
								</div>
								<div class="comment-time">
									<?php echo human_time_diff(get_comment_date('U',$comment->comment_ID), current_time('timestamp')), __(' قبل', 'wp-qaleb'); ?>
								</div>
							</div>
						</li>
            <?php endforeach; ?>
        </ul>
		
	   <?php
		
		/* After widget (defined by themes). */
		echo $after_widget;
	}

	function form( $instance ) {
		$defaults = array('title' => 'بازتاب اخبار', 'entries_display' => 5);
		$instance = wp_parse_args((array) $instance, $defaults);
	?>
		<p><label for="<?php echo $this->get_field_id( 'title' ); ?>">عنوان</label>
        <input type="text" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" /></p>
		
		<p><label for="<?php echo $this->get_field_id( 'entries_display' ); ?>">تعداد دیدگاهها</label>
		<input type="text" id="<?php echo $this->get_field_id('entries_display'); ?>" name="<?php echo $this->get_field_name('entries_display'); ?>" value="<?php echo $instance['entries_display']; ?>" style="width:100%;" /></p>
 		
	<?php
	}
}
?>