<?php

add_action( 'widgets_init', 'wellthemes_recent_tags_widgets' );

function wellthemes_recent_tags_widgets() {
	register_widget( 'wellthemes_recent_tags_widget' );
}

/**
 * This class handles everything that needs to be handled with the widget:
 * the settings, form, display, and update.  Nice!
 *
 */
class wellthemes_recent_tags_widget extends WP_Widget {

	/**
	 * Widget setup.
	 */
	function wellthemes_recent_tags_widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'widget_tags', 'description' => 'نمایش برچسب ها با تعداد', );

		/* Create the widget. */
		$this->WP_Widget( 'wellthemes_recent_tags_widget', 'برچسب های سایت', $widget_ops);
	}

	/**
	 *display the widget on the screen.
	 */
	function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters('widget_title', $instance['title'] );
		echo $before_widget;
		if ( $title )
		echo $before_title . $title . $after_title;
	   
	    ?>
       <?php
	   $entries_display = $instance['entries_display'];
	  
		if(empty($entries_display)){ 
			$entries_display = 10; 
		}	
		
		$args = array(
			'number'  => $entries_display
		);
	
		$tags = get_tags($args);    
			if ($tags) {  ?>
				<ul>
					<?php
						foreach ($tags as $tag) {						
							echo '<li><a class="button" href="' . get_tag_link( $tag->term_id ) . '" title="' . sprintf( __( "View all posts in %s" ), $tag->name ) . '" ' . '>' . $tag->name.'</a> <span>'.$tag->count.'</span> </li> ';    
						} 
					?>
				</ul>
				<?php }; ?>
       
	   <?php
		
		/* After widget (defined by themes). */
		echo $after_widget;
	}

	function form( $instance ) {
		$defaults = array('title' => 'برچسب ها', 'entries_display' => 10);
		$instance = wp_parse_args((array) $instance, $defaults);
	?>
		<p><label for="<?php echo $this->get_field_id( 'title' ); ?>">عنوان</label>
        <input type="text" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" /></p>
		
		<p><label for="<?php echo $this->get_field_id( 'entries_display' ); ?>">تعداد برچسب</label>
		<input type="text" id="<?php echo $this->get_field_id('entries_display'); ?>" name="<?php echo $this->get_field_name('entries_display'); ?>" value="<?php echo $instance['entries_display']; ?>" style="width:100%;" /></p>
		
	<?php
	}
}
?>